export type PersistentTypeString = 'string'|'number'|'boolean'|'array';
export type PersistentPrimitive = string|number|boolean;
export type PersistentType = PersistentPrimitive|PersistentPrimitive[];

export type Observer = (
  value: PersistentType,
   prev: PersistentType,
   key: string
) => void;

export type ControlObserver = (
  value: PersistentType,
  prev: PersistentType,
  key: string
) => boolean;
